Bug 483224 - TrackPoint + TrackPad incorrectly detected on Lenovo
TrackPoint + TrackPad incorrectly detected on Lenovo
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 05:56 EST by Steven Moix
Modified: 2009-12-18 02:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Moix 2009-01-30 05:56:05 EST
Description of problem:
On my Lenovo x301 laptop, which has a TrackPad and a TrackPoint (the little red ball), the TrackPoint's speed and sensitivity can't be configured when the TrackPad is enabled in the BIOS. If the TrackPad is disabled in the BIOS, the TrackPoint's speed and sensitivity can be configured with the usual method:

echo -n 120 > /sys/devices/platform/i8042/serio1/speed 
echo -n 250 > /sys/devices/platform/i8042/serio1/sensitivity

These files simply don't exist when the TrackPad is enabled in the BIOS


Version-Release number of selected component (if applicable):
[Steven@x301 ~]$ rpm -qa | grep hal
hal-0.5.12-14.20081027git.fc10.x86_64
hal-cups-utils-0.6.17-4.fc10.x86_64
hal-libs-0.5.12-14.20081027git.fc10.x86_64
hal-info-20081219-1.fc10.noarch
hal-devel-0.5.12-14.20081027git.fc10.x86_64


How reproducible:
Probably on every Lenovo x200, x300 and x301 laptop.


Steps to Reproduce:
1. Enable the TrackPad in the BIOS
2. Go to /sys/devices/platform/i8042/serio1/
3. See that the speed and sensitivity files are missing

  
Actual results:
The TrackPoint seems incorrectly detected by HAL when the TrackPad is enabled in the BIOS. It detects a "DualPoint Stick" when it should detect a "TPPS/2 IBM TrackPoint".


Expected results:
Both devices should work independently and show up in /sys/devices/platform/i8042


Additional info:
Maybe this is related to https://bugzilla.redhat.com/show_bug.cgi?id=433428 ?
Here is the lshal output for both situations, plus a directory list:

With the TrackPad disabled and the TrackPoint enabled in the BIOS:

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'
  access_control.file = '/dev/input/event6'  (string)
  access_control.type = 'mouse'  (string)
  info.callouts.add = {'hal-acl-tool --add-device', 'hal-probe-vmmouse'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'TPPS/2 IBM TrackPoint'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'  (string)
  input.device = '/dev/input/event6'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'TPPS/2 IBM TrackPoint'  (string)
  input.x11_driver = 'evdev'  (string)
  linux.device_file = '/dev/input/event6'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input6/event6'  (string)

[Steven@x301 ~]$ ls /sys/devices/platform/i8042/serio1/
bind_mode    drvctl   input     power            reach        sensitivity  thresh
description  ext_dev  jenks     press_to_select  resetafter   skipback     uevent
draghys      id       mindrag   protocol         resolution   speed        upthresh
driver       inertia  modalias  rate             resync_time  subsystem    ztime


With both the TrackPad and TrackPoint enabled in the BIOS:

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input_0'
  access_control.file = '/dev/input/event7'  (string)
  access_control.type = 'mouse'  (string)
  info.callouts.add = {'hal-acl-tool --add-device', 'hal-probe-vmmouse'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'input.touchpad', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'AlpsPS/2 ALPS DualPoint TouchPad'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input_0'  (string)
  input.device = '/dev/input/event7'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'AlpsPS/2 ALPS DualPoint TouchPad'  (string)
  input.x11_driver = 'synaptics'  (string)
  input.x11_options.SHMConfig = 'On'  (string)
  linux.device_file = '/dev/input/event7'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input7/event7'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'
  access_control.file = '/dev/input/event6'  (string)
  access_control.type = 'mouse'  (string)
  info.callouts.add = {'hal-acl-tool --add-device', 'hal-probe-vmmouse'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'DualPoint Stick'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'  (string)
  input.device = '/dev/input/event6'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'DualPoint Stick'  (string)
  input.x11_driver = 'evdev'  (string)
  linux.device_file = '/dev/input/event6'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input6/event6'  (string)

[Steven@x301 ~]$ ls /sys/devices/platform/i8042/serio1/
bind_mode  description  driver  drvctl  id  input  modalias  power  protocol  rate  resetafter  resolution  resync_time  subsystem  uevent
Comment 1 Chris Weyl 2009-07-02 03:13:06 EDT
I haven't had a chance to verify this yet, but I'm seeing either the same thing or something very similar on my Thinkpad T61 under F-11: the "mouse sensitivity" settings apply to the trackpad but not the trackpoint.  Very annoying :\
Comment 2 Scott Glaser 2009-09-09 09:04:00 EDT
Have you tried with the latest hal package in Fedora 10, Fedora 11 or tried Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Steven Moix 2009-09-09 13:51:00 EDT
Hello,

The problem still persists in Fedora 11, lshal output when both input devices are enabled in the BIOS:

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'
  access_control.file = '/dev/input/event5'  (string)
  access_control.type = 'mouse'  (string)
  info.callouts.add = {'hal-acl-tool --add-device', 'hal-probe-vmmouse'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'DualPoint Stick'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input'  (string)
  input.device = '/dev/input/event5'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'DualPoint Stick'  (string)
  input.x11_driver = 'evdev'  (string)
  linux.device_file = '/dev/input/event5'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input5/event5'  (string)

udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input_0'
  access_control.file = '/dev/input/event6'  (string)
  access_control.type = 'mouse'  (string)
  info.callouts.add = {'hal-acl-tool --add-device', 'hal-probe-vmmouse'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'input', 'input.mouse', 'input.touchpad', 'access_control'} (string list)
  info.category = 'input'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  info.product = 'AlpsPS/2 ALPS DualPoint TouchPad'  (string)
  info.subsystem = 'input'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port_logicaldev_input_0'  (string)
  input.device = '/dev/input/event6'  (string)
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX_port'  (string)
  input.product = 'AlpsPS/2 ALPS DualPoint TouchPad'  (string)
  input.x11_driver = 'synaptics'  (string)
  linux.device_file = '/dev/input/event6'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'input'  (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1/input/input6/event6'  (string)


[Steven@x301 ~]$ rpm -qa | grep hal
hal-cups-utils-0.6.19-2.fc11.x86_64
hal-info-20090414-1.fc11.noarch
hal-0.5.12-29.20090226git.fc11.x86_64
m17n-contrib-sinhala-1.1.10-2.fc11.noarch
hal-devel-0.5.12-29.20090226git.fc11.x86_64
m17n-db-sinhala-1.5.5-1.fc11.noarch
hal-libs-0.5.12-29.20090226git.fc11.x86_64
hal-libs-0.5.12-29.20090226git.fc11.i586
Comment 4 David Batson 2009-11-13 23:44:34 EST
In the original report above, the following is stated:
"Actual results:
The TrackPoint seems incorrectly detected by HAL when the TrackPad is enabled
in the BIOS. It detects a "DualPoint Stick" when it should detect a "TPPS/2 IBM
TrackPoint"."

I just ran into this same problem with Mandriva 2010. Disabling the TrackPad in the BIOS was the solution to get the TrackPoint properly detected by HAL. {Thanks to this bug report I now have a workaround} Oddly, I did not have this problem with Fedora 11, the first version of Fedora I installed on my hard drive. This is on a T42 ThinkPad.
Comment 5 Bug Zapper 2009-11-18 04:09:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:44:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.